## net.sf.saxon.expr
Class ConvertToString

    java.lang.Object
      |
      +--net.sf.saxon.expr.ComputedExpression
            |
            +--net.sf.saxon.expr.UnaryExpression
                  |
                  +--net.sf.saxon.expr.ConvertToString

All Implemented Interfaces:
  Container, Expression, InstructionInfoProvider, java.io.Serializable, javax.xml.transform.SourceLocator

public final class ConvertToString
extends UnaryExpression

A ConvertToString expression performs the string conversion required for string arguments in backwards compatibility mode. If given an empty sequence, it returns an empty string; otherwise, it returns the string value of the first item in the sequence.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.UnaryExpression
`operand`

Fields inherited from class net.sf.saxon.expr.ComputedExpression
`locationId, staticProperties`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`ConvertToString(Expression base)` Constructor

Method Summary
`Expression` `analyze(StaticContext env, ItemType contextItemType)` Type-check the expression
`int` `computeCardinality()` Get the static cardinality
`java.lang.String` `displayOperator(NamePool pool)` Diagnostic print of expression structure
`Item` `evaluateItem(XPathContext context)` Evaluate the expression
`ItemType` `getItemType()` Get the data type of the items returned

Methods inherited from class net.sf.saxon.expr.UnaryExpression
`computeSpecialProperties, display, equals, getBaseExpression, hashCode, iterateSubExpressions, promote, simplify`

Methods inherited from class net.sf.saxon.expr.ComputedExpression

`adoptChildExpression, computeDependencies, computeStaticProperties, dynamicError, dynamicError, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getConstructType, getDependencies, getExecutable, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getParentExpression, getPublicId, getSpecialProperties, getSystemId, iterate, markTailFunctionCalls, process, resetStaticProperties, setLocationId, setParentExpression, typeError`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertToString

    public ConvertToString(Expression base)

  Constructor

Parameters:
  `base` - A sequence expression denoting sequence whose first item is to be returned

Method Detail

### getItemType

    public ItemType getItemType()

  Get the data type of the items returned

  Specified by:
    `getItemType` in interface `Expression`
  Overrides:
    `getItemType` in class `UnaryExpression`
  Returns:
    the item type of the items in the result sequence, insofar as this is known statically.

### analyze

    public Expression analyze(StaticContext env,
                              ItemType contextItemType)
                       throws XPathException

  Type-check the expression

  Specified by:
    `analyze` in interface `Expression`
  Overrides:
    `analyze` in class `UnaryExpression`
  Parameters:
    `env` - the static context of the expression
    `contextItemType` - the static type of "." at the point where this expression is invoked. The parameter is set to null if it is known statically that the context item will be undefined. If the type of the context item is not known statically, the argument is set to `Type.ITEM_TYPE`
  Returns:
    the original expression, rewritten to perform necessary run-time type checks, and to perform other type-related optimizations
    `XPathException`

### computeCardinality

    public int computeCardinality()

  Get the static cardinality

  Overrides:
    `computeCardinality` in class `UnaryExpression`

### evaluateItem

    public Item evaluateItem(XPathContext context)
                      throws XPathException

  Evaluate the expression

  Specified by:
    `evaluateItem` in interface `Expression`
  Overrides:
    `evaluateItem` in class `ComputedExpression`
  Parameters:
    `context` - The context in which the expression is to be evaluated
  Returns:
    the node or atomic value that results from evaluating the expression; or null to indicate that the result is an empty sequence
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression

### displayOperator

    public java.lang.String displayOperator(NamePool pool)

  Diagnostic print of expression structure

  Specified by:
    `displayOperator` in class `UnaryExpression`
  Returns:
    the operator, as a string